package com.cesgroup.kingkong.interceptor;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Configuration;
import org.springframework.web.servlet.config.annotation.InterceptorRegistry;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurer;

@Configuration
public class TokenWebMvcConfigurerAdapter implements WebMvcConfigurer {


    @Autowired
    private TokenInterceptor tokenInterceptor;

  @Override
  public void addInterceptors(InterceptorRegistry registry) {
     registry.addInterceptor(tokenInterceptor).addPathPatterns("/**");
  }

}
