package com.cesgroup.kingkong.mapper;

import java.util.HashMap;

import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

import com.cesgroup.common.utils.http.HttpClientHelper;



@Component
public class EsMapper {
	@Value("${elasticsearch.HostAddress}")
    private String esHostAddress ="http://10.250.190.97:18630";
	
	@Autowired
	private HttpClientHelper httpClientHelper;
	
	public String postQuery(String query) {
		String uriString =esHostAddress+"/"+"patent*/"+"_search/";
		HashMap<String, Object> header = new HashMap<String, Object>();
		String result = httpClientHelper.postJSON(uriString, query, header);
		return result;
	}
	public String getArticleInfo() {
		String uriString ="https://api.elsevier.com/content/search/scopus";
		//String uriString =esHostAddress+"/"+"testhbase*/"+"_search/";
		HashMap<String, Object> header = new HashMap<String, Object>();
		HashMap<String, Object> paramMap = new HashMap<String, Object>();
		paramMap.put("start", 0);
		paramMap.put("count", 25);
		paramMap.put("query", "AFFILCITY(beijing)");
		header.put("X-ELS-APIKey", "d7513bc36ec90aa7662c0cfb28b3dd3b");
		String result = httpClientHelper.get(uriString, paramMap, header);
		return result;
	}
}
