package com.cesgroup.kingkong.web;

import java.util.Map;

import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import com.cesgroup.common.utils.RestAPIResult;
import com.cesgroup.kingkong.interceptor.RequiredPermission;
import com.cesgroup.kingkong.service.impl.QueryService;


@RestController
@RequestMapping("v1")
public class SearchContrllor {
	

	@Autowired
	private QueryService queryService;
	@RequestMapping(value = "queryById", method = { RequestMethod.POST })
	public RestAPIResult<Object> query(String id) {
		RestAPIResult<Object> panResult = new RestAPIResult<Object>();
		Map<String, Object> result = null;
		if(StringUtils.isNotBlank(id)) {
			result =queryService.getById(id);
			String respCodeString = (String) result.get("resonCode");
			if (respCodeString.equals("200")) {
				panResult.isSuccess();
				panResult.setRespMsg("文档信息查询成功！");
				panResult.setRespData(result.get("result"));
				panResult.setRespCode(Integer.parseInt(respCodeString));
			} else if(respCodeString.equals("2011")) {
				panResult.isSuccess();
				panResult.setRespMsg("文档id不存在！");
				panResult.setRespData(result.get("result"));
				panResult.setRespCode(Integer.parseInt(respCodeString));
			}else if(respCodeString.equals("2012")) {
				panResult.isSuccess();
				panResult.setRespMsg("文档解析失败");
				panResult.setRespData(result.get("result"));
				panResult.setRespCode(Integer.parseInt(respCodeString));
			}else if(respCodeString.equals("1011")) {
				panResult.isSuccess();
				panResult.setRespMsg("文档查询超时！");
				panResult.setRespData(result.get("result"));
				panResult.setRespCode(Integer.parseInt(respCodeString));
			}else  {
				panResult.error();
				panResult.setRespMsg("其他错误！");
			}
		}else {
			panResult.error("查询参数错误");
			panResult.setRespCode(1012);
		}
		return panResult;
	}
	/**查询论文接口（待完成）
	 * @return
	 * RestAPIResult<Object>
	 */
	@RequiredPermission
	@RequestMapping(value = "queryArticleInfo", method = { RequestMethod.POST })
	public RestAPIResult<Object> queryArticleInfo() {
		RestAPIResult<Object> panResult = new RestAPIResult<Object>();
		Map<String, Object> result = null;
		result = queryService.queryArticleInfo();
		return panResult;
	}
	
}
